package modele.calculs;

import modele.donnees.Entite;
import modele.donnees.EntiteDynamique;

import java.util.ArrayList;

/**
Tous les déplacement sont déclenchés par cette classe (gravité, controle clavier, IA, etc.)
 */
public abstract class RealisateurDeDeplacement {
    protected ArrayList<Entite> lstEntitesDynamiques = new ArrayList<Entite>();
    protected abstract boolean realiserDeplacement();

    public void addEntiteDynamique(Entite ed) {lstEntitesDynamiques.add(ed);};
}
