package modele.donnees;

import modele.calculs.Direction;
import modele.calculs.Jeu;

/**
 * Entités amenées à bouger (colonnes, ennemis)
 */
public abstract class EntiteDynamique extends Entite {
    public EntiteDynamique(Jeu _jeu) { super(_jeu); }

    public boolean avancerDirectionChoisie(Direction d) {
        return jeu.deplacerEntite(this, d);
    }
    public ElementPhysique regarderDansLaDirection(Direction d) {return jeu.regarderDansLaDirection(this, d);}
}
